[Rd] Rmpi on CentOS (64bit)

Patrick Connolly p_connolly at slingshot.co.nz
Wed Mar 3 07:53:20 CET 2010

I got Rmpi to compile with little difficulty, but had a tricky time
setting the LD_LIBRARY_PATH to use the OpenMPI libs.  I now get a
different error when I try to load Rmpi

> require(Rmpi)                  
Loading required package: Rmpi
librdmacm: couldn't read ABI version.
librdmacm: assuming: 4
libibverbs: Fatal: couldn't read uverbs ABI version.
CMA: unable to open /dev/infiniband/rdma_cm
WARNING: Failed to open "OpenIB-cma" [DAT_INTERNAL_ERROR:].
This may be a real error or it may be an invalid entry in the uDAPL
Registry which is contained in the dat.conf file. Contact your local
System Administrator to confirm the availability of the interfaces in
the dat.conf file.

I don't have this problem with Fedora 11 and I'd have thought there
would be little difference with CentOS (apart from the latter being 64

Is there something else that needs to be specified?


   ___    Patrick Connolly   
 {~._.~}                   Great minds discuss ideas    
 _( Y )_  	         Average minds discuss events 
(:_~*~_:)                  Small minds discuss people  
 (_)-(_)  	                      ..... Eleanor Roosevelt

More information about the R-devel mailing list